ServerEvents.recipes(event => {
  event.shaped(
    Item.of('hearthandharvest:basin'), 
    ['ifi', 'bCb', 'bbb'],             
    {
      b: 'minecraft:brick',
      i: 'minecraft:iron_ingot',
      f: 'supplementaries:faucet',
      C: 'minecraft:cauldron'
    }
  );
});
